{include file='modules/servers/puqWireGuardBusinessVPN/templates/header.tpl'}

<h5>{$vpn->lang['Network configuration']}</h5>
<div class="row">
    <div class="col-md-12">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: left;">
            <tr>
                <td><b><i class="fa fa-server"></i>&nbsp;&nbsp;{$vpn->lang['Dedicated IP']}:</b></td>
                <td>{$vpn->service_dedicatedip}</td>
            </tr>
            <tr>
                <td><b><i class="fa fa-sitemap"></i>&nbsp;&nbsp;{$vpn->lang['Private internal network']}:</b></td>
                <td>{$vpn->service_wg['address']}</td>
            </tr>
            <tr>
                <td><b><i class="fa fa-passport"></i>&nbsp;&nbsp;{$vpn->lang['VPN Protocols']}:</b></td>
                {if $vpn->service_wg['ikev2'] ne 1}
                    <td>WireGuard</td>
                {else}
                    <td>WireGuard, IKEv2</td>
                {/if}
            </tr>
            <tr>
                <td><b><i class="fa fa-users"></i>&nbsp;&nbsp;{$vpn->lang['Number of VPN accounts']}:</b></td>
                <td>{$vpn->service_vpn_accounts_used}/{$vpn->package_options_number_vpn_accounts}</td>
            </tr>

            <tr>
                <td><b><i class="fa fa-tachometer"></i>&nbsp;&nbsp;{$vpn->lang['Bandwidtht download/upload']}:</b></td>
                <td>{$vpn->package_options_b_download}/{$vpn->package_options_b_upload} M {$vpn->lang['per account']}</td>
            </tr>

            {if $vpn->package_options_link_to_instruction ne ""}
            <tr>
                <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_instruction}" target="_blank">{$vpn->lang['User manual']}</a></h3></td>
            </tr>
            {/if}

            {if $vpn->package_options_link_to_vpn_clients ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_vpn_clients}" target="_blank">{$vpn->lang['Download VPN client']}</a></h3></td>
                </tr>
            {/if}
        </table>
    </div>
</div>

<div class="form-group text-center">
    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=add_vpn_account" class="btn btn-success"><i class="fa fa-user-plus">&nbsp;&nbsp;</i>{$vpn->lang['Add VPN account']}</a>
    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding" class="btn btn-success"><i class="fa fa-forward">&nbsp;&nbsp;</i>{$vpn->lang['Port Forwarding']}</a>
</div>

<table class="table table-list dataTable no-footer" style="table-layout: fixed;">
    <tbody>
    {foreach from=$vpn->service_vpn_accounts key=key item=value}
        <tr>
            <td>
                <div class="row">


                    {if $value['status'] ne 'disable'}
                        <div class="col-sm" style="font-size:30px; color:green;">&#10004;</div>
                    {else}
                        <div class="col-sm" style="font-size:30px; color:red;">&#10006;</div>
                    {/if}

                    <div class="col-sm"
                            {if $value['status'] eq 'disable'} style="pointer-events: none; opacity: 0.4;"{/if}><b>{$value['name']}</b><br>
                    ({$value['allowed_IPs']})
                    </div>

                    <div class="col-sm">
                        {$vpn->lang['WireGuard online']}:
                        {if $value['wireguard_online']['online'] eq "yes"}
                            <b style="color: green">{$vpn->lang['yes']}</b>
                            <br>
                            {$value['wireguard_online']['endpoint']}<br>{$value['wireguard_online']['latest_handshake']}
                        {else}
                            <b style="color: red">{$vpn->lang['not']}</b>
                        {/if}
                    </div>

                    {if $vpn->service_wg['ikev2'] ne 0}
                        <div class="col-sm">
                            {$vpn->lang['IKEv2 online']}:
                            {if $value['ikev2_online']['online'] eq "yes"}
                                <b style="color: green">{$vpn->lang['yes']}</b>
                                <br>
                                {$value['ikev2_online']['endpoint']}<br>{$value['ikev2_online']['uptime']}
                            {else}
                                <b style="color: red">{$vpn->lang['not']}</b>
                            {/if}
                        </div>
                    {/if}

                    <div class="col-sm">
                        <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$value['name']}" class="btn btn-default bg-color-green" style="white-space: nowrap;"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Management']}</a>
                    </div>
                </div>
           </td>
        </tr>
    {/foreach}
    </tbody>
</table>
