{include file='modules/servers/puqWireGuardBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Management VPN account']}</h2>
<div class="row">
    <div class="col-md-12">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
            <tr>
                <form method="post" action="{$vpn->url}clientarea.php?action=productdetails&id={$vpn->service_id}">
                    <input type="hidden" name="username" value="{$user['name']}" readonly>
                    <td><button onclick="return DeleteVpnAccount();" type="submit" class="btn btn-danger" name="delete_vpn_account" value="delete_vpn_account"><i class="fa fa-times">&nbsp;&nbsp;</i>{$vpn->lang['Delete']}</button></td>
                </form>

                <form method="post" action="{$vpn->url}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$user['name']}">
                    <td><button onclick="return EditVpnAccount();" type="submit" class="btn btn-success" name="edit_vpn_account" value="edit_vpn_account"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Save']}</button></td>
            </tr>
            <tr>
                <td><b><i class="fa fa-user"></i>&nbsp;&nbsp;{$vpn->lang['Username']}:</b></td>
                <td><input id="username" type="text" name="username" class="form-control" value="{$user['name']}" readonly></td>
            </tr>

            <tr>
                <td><b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$vpn->lang['Password']}:</b></td>
                <td>
                    <div class="input-group margin-bottom-5">
                        <input class="form-control" type="text" name="password" id="password" placeholder="{$vpn->lang['Enter password']}" value="{$user['password']}" >
                        <div class="input-group-append">
                            <button type="button" id="input-generate" class="btn btn-primary">&nbsp;&nbsp;<i class="fa fa-dice"></i>&nbsp;&nbsp;{$vpn->lang['Generate']}</button>
                        </div>
                    </div>
                </td>
            </tr>

            <tr>
                <td><b><i class="fa fa-sitemap"></i>&nbsp;&nbsp;{$vpn->lang['IP address']}:</b></td>
                <td>
                    <select id="ip_address" name="ip_address" class="form-control custom-select">
                        <option value="{$user['allowed_IPs']}" selected>{$user['allowed_IPs']}</option>
                        {foreach from=$vpn->service_private_ip_range key=key item=value}
                            {if $key ne '0'}
                                <option value="{$value}">{$value}</option>
                            {/if}
                        {/foreach}
                    </select>
                </td>
            </tr>
            <tr>
                <td><b><i class="fa fa-power-off"></i>&nbsp;&nbsp;{$vpn->lang['Enabled']}:</b></td>
                <td>
                    {if $user['status'] ne 'enable'}
                        <input type="checkbox" name="status" value="disable">
                    {else}
                        <input type="checkbox" name="status" value="enable" checked="checked">
                    {/if}
                </td>
            </tr>
            {if $vpn->package_options_link_to_vpn_clients ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_vpn_clients}" target="_blank">{$vpn->lang['Download VPN client']}</a></h3></td>
                </tr>
            {/if}

            <tr>
                <td colspan="2">
                    <form method="post" action="{$vpn->url}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$user['name']}">
                        <button onclick="return loading();" type="submit" class="btn btn-success" name="create_otl" value="create_otl"><i class="fa fa-thumbs-up">&nbsp;&nbsp;</i>{$vpn->lang['Create one-time link']}</button>
                    </form>
                </td>
            </tr>

            {if $otl ne ""}
                <tr>
                    <td colspan="2">
                        <div class="margin-bottom-5" style="text-align: center;">
                            <input style="width: 100%" type="text" value="{$otl}" id="OneTimeLink">
                            <br>
                            <button class="btn btn-success" onclick="copyURL()"><i class="fa fa-clone">&nbsp;&nbsp;</i>{$vpn->lang['Copy']}</button>
                        </div>
                        <script>
                            function copyURL() {
                                var copyText = document.getElementById("OneTimeLink");
                                copyText.select();
                                document.execCommand("copy");
                                alert("Copied the text: " + copyText.value);
                            }
                        </script>
                    </td>
                </tr>
            {/if}


            </form>
        </table>
    </div>
</div>

<div class="row">
    {if $vpn->service_wg['ikev2'] eq 1}
    <div class="col-md-6 panel panel-default card">
        {else}
        <div class="col-md-12 panel panel-default card">
            {/if}

            <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
                <tr>
                    <td style="text-align: center;"><h3>{$vpn->lang['WireGuard configuration']}</h3></td>
                </tr>

                <tr>
                    <td style="text-align: center;"><a class="btn btn-success" id="wg_config_download"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD CONFIG']}</a></td>
                </tr>

                <tr>
                    <td><img style="width:100%; max-width:500px;" src="data:image/png;base64,{$wireguard_config_qr}"></td>
                </tr>

                <tr style="text-align: left;">
                    <td><pre>{$wireguard_config_text}</pre></td>
                </tr>
            </table>
        </div>


        {if $vpn->service_wg['ikev2'] eq 1}

            <div class="col-md-6 panel panel-default card">
                <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
                    <tr>
                        <td style="text-align: center;"><h3>{$vpn->lang['IKEv2 configuration']}</h3></td>
                    </tr>

                    <tr>
                        <td style="text-align: center;"><a class="btn btn-success" id="ikev2_cert_download"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD CERTIFICATE']}</a></td>
                    </tr>

                    <tr>
                        <td style="text-align: center;"><a class="btn btn-success" id="ikev2_profile_download"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD Profile']}</a></td>
                    </tr>


                    <tr>
                        <td style="text-align: center;">
                            <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
                                <tr>
                                    <td style="text-align: left;"><b><i class="fa fa-server"></i>&nbsp;&nbsp;{$vpn->lang['Server']}:</b></td>
                                    <td style="text-align: center;">{$vpn->service_ikev2_server}</td>
                                </tr>
                                <tr>
                                    <td style="text-align: left;"><b><i class="fa fa-user"></i>&nbsp;&nbsp;{$vpn->lang['Username']}:</b></td>
                                    <td style="text-align: center;">{{$user['username']}}</td>
                                </tr>
                                <tr>
                                    <td style="text-align: left;"><b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$vpn->lang['Password']}:</b></td>
                                    <td style="text-align: center;">{{$user['password']}}</td>
                                </tr>
                            </table>
                        </td>
                    </tr>


                </table>
            </div>
        {/if}

    </div>


    <script type="text/javascript">
        function DeleteVpnAccount() {
            var username = document.getElementById('username').value;
            if(username === ''){
                return true;
            }
            result = confirm('{$kvm->lang['Are you sure?']}');
            if (result) {
                loading();
                return true
            }else {
                return false;
            }
        }

        function EditVpnAccount() {
            var username = document.getElementById('username').value;
            var ip_address = document.getElementById('ip_address').value;

            if(username === '' || password === '' || ip_address === ''){
                return true
            }else{
                loading();
                return true
            }
        }

        $("#input-generate").click(function(){
            $("#password").val(generatePassword());
            return false;
        });

        function generatePassword(){
            var length = 12,
                charset = "123456789ABCDEFGHJKMNPQRSTUVWXYZabcdefghjkmnpqrstuvwxyz";
            if(window.crypto && window.crypto.getRandomValues) {
                return Array(length)
                    .fill(charset)
                    .map(x => x[Math.floor(crypto.getRandomValues(new Uint32Array(1))[0] / (0xffffffff + 1) * (x.length + 1))])
                    .join('');
            } else {
                res = '';
                for (var i = 0, n = charset.length; i < length; ++i) {
                    res += charset.charAt(Math.floor(Math.random() * n));
                }
                return res;
            }
        }

    </script>
    <script>
        document.getElementById('wg_config_download').onclick = function() {
            let config = `{$wireguard_config_text|trim}`;
            let configData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(config);
            this.href = configData;
            this.download = 'wg0.conf';
        }

        document.getElementById('ikev2_cert_download').onclick = function() {
            let cert = `{$vpn->service_ikev2_cert|trim}`;
            let certData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(cert);
            this.href = certData;
            this.download = '{$vpn->service_ikev2_server|trim}.crt';
        }

        document.getElementById('ikev2_profile_download').onclick = function() {
            let profile = `{$ikev2_profile|trim}`;
            let profileData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(profile);
            this.href = profileData;
            this.download = '{$vpn->service_ikev2_server|trim}.sswan';
        }

    </script>